Bug 47751 - Error Deleting Partition in DiskDruid
Error Deleting Partition in DiskDruid
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-06 15:00 EDT by Thornton Prime
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-09 10:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thornton Prime 2001-07-06 15:00:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9.1)
Gecko/20010622

Description of problem:
Traceback with "Deleting a nonexistenent[sic] partition" when deleting a
partition listed in DiskDruid

How reproducible:
Sometimes, inconsistent

Steps to Reproduce:
1. Partition diskl with DiskDruid
2. Create extended partion.
3. Create multiple logical partitions on extended partition.
4. Delete a logical partition.
	

Actual Results:  In the mainloop()

/usr/lib/anaconda/partition_gui.py:942 deleteCb
  raise ValueError, "Deleting a nonexistenent partition"


Expected Results:  Delete it without error.

Additional info:

I've been having a lot of problems witrh partitioning, but I've gotten this
error three times on my primary drive on this machine (hda) even without
touching the two drives that are really problematic (hdb and hdc).
Comment 1 Michael Fulbright 2001-07-09 10:51:07 EDT
I think this one has been fixed, assigning...
Comment 2 Jeremy Katz 2001-07-09 10:57:22 EDT
Yep, should be fixed in internal trees.  Please reopen this bug if you see again
in beta2 or later

Note You need to log in before you can comment on or make changes to this bug.